<template>
  <div class="detail-view">
    <el-drawer
      :visible.sync="detailConfig.visible"
      size="80%"
      :before-close="handleClose"
      :wrapperClosable="false"
      :append-to-body="true"
    >
      <template slot="title">
        <div class="header">
          <span class="header-label">合同管理</span>
          <span class="header-title">{{ detailConfig.infomation.number }}</span>
        </div>
      </template>
      <div class="content">
        <!-- <div class="top">
          <ul>
            <li v-for="(item, i) in topList" :key="i">
              <div class="left1">
                <div class="content-title">{{ item.left1Str + "：" }}</div>
                <div class="content-data">{{ item.left1Value }}</div>
              </div>
              <div class="left2">
                <div class="content-title">{{ item.left2Str + "：" }}</div>
                <div class="content-data">{{ item.left2Value }}</div>
              </div>
              <div class="right1">
                <div class="content-title">{{ item.right1Str + "：" }}</div>
                <div class="content-data">{{ item.right1Value }}</div>
              </div>
              <div class="right2">
                <div class="content-title">{{ item.right2Str + "：" }}</div>
                <div class="content-data">{{ item.right2Value }}</div>
              </div>
            </li>
          </ul>
        </div> -->
        <div class="tab-view">
          <el-tabs v-model="activeName" @tab-click="tabsClick">
            <el-tab-pane label="详情" name="first"></el-tab-pane>
            <!-- <el-tab-pane label="附件管理" name="annex"> -->
            <!-- <template slot="label">
                <div>跟进记录<el-badge type="primary" :value="2"> </el-badge></div>
              </template> -->
            <!-- </el-tab-pane> -->
          </el-tabs>
        </div>
        <div v-if="activeName === 'first'" class="detail">
          <!-- 进度追踪 -->
          <!-- <div class="basic-info">
            <div class="basic-info-label" @click="expandClick('schdule')">
              <i v-if="isSchduleExpand" class="el-icon-arrow-down"></i>
              <i v-else class="el-icon-arrow-up"></i>
              <span style="margin-left: 10px">进度追踪</span>
            </div>
            <div v-show="isSchduleExpand" class="basic-info-content">
              <div class="step-view">
                <el-steps :active="active" align-center>
                  <el-step :active-color="'#fff'" :title="item.title" :key="index" v-for="(item, index) in stepsList">
                    <template slot="title">
                      <div class="step-title-view">
                        <div class="step-label">{{ item.title }}</div>
                        <div v-show="index === active" class="step-btn" @click="advanceClick(item)">推进</div>
                        <div class="step-desc">{{ item.desc }}</div>
                      </div>
                    </template>
                  </el-step>
                </el-steps>
              </div>
            </div>
          </div> -->
          <!-- 基本信息 -->
          <div class="basic-info">
            <div class="basic-info-label" @click="expandClick('basic')">
              <i v-if="isBasicExpand" class="el-icon-arrow-down"></i>
              <i v-else class="el-icon-arrow-up"></i>
              <span style="margin-left: 10px">基本信息</span>
            </div>
            <div v-show="isBasicExpand" class="basic-info-content">
              <ul>
                <li v-for="(item, i) in basicInfoList" :key="i">
                  <div class="left">
                    <div class="content-title">{{ item.leftStr + "：" }}</div>
                    <div class="content-data">{{ item.leftValue ? item.leftValue : "--" }}</div>
                  </div>
                  <div v-if="item.rightStr" class="right">
                    <div class="content-title">{{ item.rightStr + "：" }}</div>
                    <div class="content-data">{{ item.rightValue ? item.rightValue : "--" }}</div>
                  </div>
                </li>
              </ul>
            </div>
          </div>
          <!-- 附件信息 -->
          <!-- <div class="basic-info">
            <div class="basic-info-label" @click="expandClick('annex')">
              <i v-if="isAnnexExpand" class="el-icon-arrow-down"></i>
              <i v-else class="el-icon-arrow-up"></i>
              <span style="margin-left: 10px">附件信息</span>
            </div>
            <div v-show="isAnnexExpand" class="basic-info-content">
              <ul>
                <li>
                  <div class="left remark">
                    <div class="content-title">{{ "附件：" }}</div>
                    <div class="content-data">{{ "" }}</div>
                  </div>
                </li>
              </ul>
            </div>
          </div> -->
        </div>
        <div v-if="activeName === 'annex'" class="second">
          <!-- <FollowupRecords :isDetail="true" /> -->
        </div>
      </div>
      <!-- 推进 -->
      <DetailAdvanceDialog v-if="advanceConfig.visible" :advance-config="advanceConfig" />
    </el-drawer>
  </div>
</template>

<script>
import DetailAdvanceDialog from "@/views/sales/salesOpportunity/DetailAdvanceDialog"
export default {
  name: "DetailContractManage",
  props: {
    contractDetail: {
      type: Object,
      default: () => {
        return {
          visible: false,
          infomation: {}
        }
      }
    }
  },
  components: { DetailAdvanceDialog },
  computed: {},
  data() {
    return {
      detailConfig: this.contractDetail,
      activeName: "first",
      isSchduleExpand: true, // 进度追踪
      stepsList: [
        { title: "待审批", desc: "停留: 1月8天20小时" },
        { title: "审批中", desc: "" },
        { title: "已审批", desc: "" },
        { title: "已归档", desc: "" }
      ],
      topList: [],
      isBasicExpand: true, // 基本信息展开
      basicInfoList: [],
      isAnnexExpand: true, // 附件信息
      active: 2,
      advanceConfig: {
        visible: false,
        active: ""
      }
    }
  },
  created() {
    this.setData(this.detailConfig.infomation)
  },
  mounted() {},
  methods: {
    setData(item) {
      this.topList = [
        {
          left1Str: "单据编号",
          left1Value: "",
          left2Str: "负责人",
          left2Value: "",
          right1Str: "创建人",
          right1Value: "",
          right2Str: "当前审批人",
          right2Value: ""
        },
        {
          left1Str: "合同状态",
          left1Value: "",
          left2Str: "合同扫描件",
          left2Value: "",
          right1Str: "审批状态",
          right1Value: "",
          right2Str: "更新时间",
          right2Value: ""
        },
        {
          left1Str: "创建时间",
          left1Value: "",
          left2Str: "客户名称",
          left2Value: "",
          right1Str: "",
          right1Value: "",
          right2Str: "",
          right2Value: ""
        }
      ]
      this.basicInfoList = [
        {
          leftStr: "客户名称",
          leftValue: item.client.name,
          rightStr: "单据编号",
          rightValue: item.number
        },
        {
          leftStr: "负责人",
          leftValue: item.member.username,
          rightStr: "合同状态",
          rightValue: item.serviceContractStatus.name
        },
        {
          leftStr: "创建人",
          leftValue: "",
          rightStr: "创建时间",
          rightValue: item.created_at
        },
        {
          leftStr: "最新更新人",
          leftValue: "",
          rightStr: "更新时间",
          rightValue: ""
        },
        // {
        //   leftStr: "审批状态",
        //   leftValue: "",
        //   rightStr: "最新审批时间",
        //   rightValue: ""
        // },
        // {
        //   leftStr: "上一步审批人",
        //   leftValue: "",
        //   rightStr: "当前审批人",
        //   rightValue: ""
        // },
        {
          leftStr: "销售报价单",
          leftValue: item.quotation.number,
          rightStr: "",
          rightValue: ""
        }
      ]
    },
    handleClose() {
      this.detailConfig.visible = false
    },
    // tab切换
    tabsClick(tab, event) {
      console.log(tab, event)
    },
    // 展开收起点击事件
    expandClick(value) {
      console.log(value)
      if (value === "schdule") {
        this.isSchduleExpand = !this.isSchduleExpand
      } else if (value === "basic") {
        this.isBasicExpand = !this.isBasicExpand
      } else if (value === "annex") {
        this.isAnnexExpand = !this.isAnnexExpand
      }
    },
    // 推进
    advanceClick(item) {
      console.log(item)
      this.advanceConfig.visible = true
      this.advanceConfig.active = item.title
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
::v-deep {
  .el-drawer__header {
    padding: 0;
    margin-bottom: 0px;
    .header {
      height: 56px;
      display: flex;
      align-items: center;
      padding-left: 10px;
      .header-label {
        padding: 5px;
        border-radius: 4px;
        background-color: #ff6600;
        color: #fff;
        font-size: 12px;
      }
      .header-title {
        color: #323232;
        font-size: 15px;
        margin-left: 10px;
        font-weight: inherit;
      }
    }
  }
  .el-tabs--top .el-tabs__item.is-top:nth-child(2) {
    padding-left: 20px;
  }
  .el-tabs__item.is-active,
  .el-tabs__item:hover,
  .el-tabs__active-bar {
    color: $color-primary;
  }
  .el-tabs__header {
    margin: 0;
  }
  .el-drawer__body {
    .content {
      background-color: rgb(230, 233, 240);
      padding: 8px;
      .top {
        height: 126px;
        // line-height: 42px;
        margin-bottom: 10px;
        text-align: center;
        font-size: 14px;
        color: #555;
        background-color: #fff;
        li {
          display: flex;
          .left1,
          .left2,
          .right1,
          .right2 {
            width: 25%;
            display: flex;
            align-items: center;
            height: 40px;
            .content-title {
              width: 150px;
              text-align: right;
            }
            .content-data {
              text-align: left;
              margin-left: 25px;
            }
          }
        }
      }
      .tab-view {
        background: #fff;
        .item {
          position: absolute;
          top: 0px;
          right: 0px;
        }
      }
      .detail {
        .basic-info {
          .basic-info-label {
            padding-left: 10px;
            height: 42px;
            line-height: 42px;
            background: #f4f8fe;
            color: #333;
            font-size: 14px;
          }
          .basic-info-content {
            background: #fff;
            ul {
              padding-inline-start: 0;
            }
            li {
              display: flex;
              font-size: 14px;
              font-family: PingFangSC;
              border-bottom: 1px solid #f9f9fb;
              .left,
              .right,
              .all {
                width: 50%;
                display: flex;
                align-items: center;
                height: 40px;
                .content-title {
                  width: 320px;
                  text-align: right;
                  color: #555;
                }
                .content-data {
                  text-align: left;
                  margin-left: 25px;
                  color: #333;
                }
              }
              .all {
                width: 100%;
              }
              .remark {
                width: 100%;
              }
              .history {
                .content-title {
                  width: 200px;
                  color: #8b0000;
                }
                .content-data {
                  color: #8b0000;
                }
              }
            }
            .step-view {
              padding: 30px 60px 5px;
              height: 100px;
              .step-title-view {
                margin-top: 10px;
                font-size: 12px;
                color: #555;
                position: relative;
                .step-label {
                  margin-top: -65px;
                  height: 60px;
                }
                .step-btn {
                  position: absolute;
                  bottom: -25px;
                  left: 50%;
                  margin-left: -28px;
                  width: 56px;
                  height: 24px;
                  line-height: 24px;
                  text-align: center;
                  color: #2d82f4;
                  border: 1px solid #2d82f4;
                  border-radius: 15px;
                  cursor: pointer;
                }
                .step-desc {
                  margin-top: 15px;
                }
              }
              .el-step__head.is-process {
                color: #ff8707;
                border-color: #ff8707;
              }
              .el-step__head.is-finish .el-step__line {
                background-color: #409eff;
              }
            }
          }
        }
      }
      .second {
        background: #fff;
        .followup-records {
          .table-view {
            margin-top: 0 !important;
            margin-bottom: 0;
          }
        }
      }
    }
  }
}
</style>
